Skip to main content
PATCH
Update Model-Dataset Association

Authorizations

Authorization
string
header
required

JWT token from Stytch B2B authentication (magic link, SSO, or M2M)

Headers

Idempotency-Key
string | null

Path Parameters

model_id
string
required

Model ID

Example:

"model_abc123"

dataset_id
string
required

Dataset ID

Example:

"dataset_abc123"

Body

application/json

Schema for updating a model-dataset association.

usageType
string | null

Updated usage type

Required string length: 1 - 20
datasetSnapshotId
string | null

Updated dataset snapshot ID (null = use latest, value = pinned)

Maximum string length: 255
priority
integer | null

Updated priority

Required range: 0 <= x <= 100

Response

Successful Response

Schema for model-dataset association response.

modelId
string
required

ID of the model

Example:

"550e8400-e29b-41d4-a716-446655440000"

datasetId
string
required

ID of the associated dataset

Example:

"550e8400-e29b-41d4-a716-446655440001"

usageType
string
required

How the dataset is used

Example:

"rag"

priority
integer
required

Priority for this dataset

Examples:

0

1

10

createdAt
string<date-time>
required

When the association was created

Example:

"2025-10-18T06:33:19Z"

updatedAt
string<date-time>
required

When the association was last updated

Example:

"2025-10-18T06:33:19Z"

datasetSnapshotId
string | null

Specific dataset snapshot ID (null = use latest, value = pinned)